/**
  ******************************************************************************
  * @file    vk1616_driver.h
  * @author  kevin_guo
  * @version V1.0.0
  * @date    07-01-2019
  * @brief   This file contains definitions for vk1616_driver.
  ******************************************************************************
  * @attention
  ******************************************************************************  
  */
#ifndef __VK1616_DRIVER_H__
#define __VK1616_DRIVER_H__

#include "M451Series.h"

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
#define 	VK1616_STB_PIN   BIT6
#define 	VK1616_STB_PORT  PD
#define 	VK1616_STB_IO    PD6

#define 	VK1616_CLK_PIN   BIT0
#define 	VK1616_CLK_PORT  PA
#define 	VK1616_CLK_IO    PA0

#define 	VK1616_DIO_PIN   BIT1
#define 	VK1616_DIO_PORT  PD
#define 	VK1616_DIO_IO    PD1

#define   VK1616_STB_HIGH     VK1616_STB_IO = 1  
#define   VK1616_STB_LOW      VK1616_STB_IO = 0  

#define   VK1616_CLK_HIGH     VK1616_CLK_IO = 1  
#define   VK1616_CLK_LOW      VK1616_CLK_IO = 0  
  
#define   VK1616_DIO_HIGH     VK1616_DIO_IO = 1  
#define   VK1616_DIO_LOW      VK1616_DIO_IO = 0   
 

#define   VK1616_STARTADDR					0XC0 
#define   VK1616_WRDTA_AUTOADD1ADDR 0x40  
#define   VK1616_WRDTA_FIXEDADDR   	0x44     

#define 	VK1616_DISP_ON        		0X88  //ʾ
#define 	VK1616_DISP_OFF		   			0x80  //ʾ  
/*0x88,0x89,0x8a,0x8b,0x8c,0x8d,0x8e,0x8f ֱӦ
1/16,  2/16,  4/16,  10/16, 11/16, 12/16, 13/16, 14/16  */ 
#define 	VK1616_PDUTY_1_16      0X80  //ʾΪ1/16  
#define 	VK1616_PDUTY_2_16      0X81  //ʾΪ2/16  
#define 	VK1616_PDUTY_4_16      0X82  //ʾΪ4/16  
#define 	VK1616_PDUTY_10_16     0X83  //ʾΪ10/16  
#define 	VK1616_PDUTY_11_16     0X84  //ʾΪ11/16  
#define 	VK1616_PDUTY_12_16     0X85  //ʾΪ12/16  
#define 	VK1616_PDUTY_13_16     0X86  //ʾΪ13/16  
#define 	VK1616_PDUTY_14_16     0X87  //ʾΪ14/16  
 
/* Exported functions ------------------------------------------------------- */
void VK1616_Init(void);  
void VK1616_Disp_Set(void);
void VK1616_Disp_AutoAdd1Addr(uint8_t addr,uint8_t* databuf, uint8_t num);
void VK1616_Disp_FixedAddr(uint8_t addr, uint8_t data8);
void  VK1616_Main(void);
#endif  /*__VK1616_DRIVER_H__*/

/************************END OF FILE****/
